<!-- Copyright (C) 2017-2020 Linagora

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<mat-card fxLayout="column" fxFlex class="card-su-deployment">
  <ngx-hover-opacity [isHoverVisible]="component.state && component.state === 'Loaded'" class="deploy-su">
    <app-upload
      #deployServiceUnit
      acceptedFileType=".zip"
      [title]="'Service Unit Deployment'"
      [message]="'Choose Service Unit:'"
      [uploadStatus]="serviceUnitUploadProgress"
      [error]="getSuDeploymentError()"
      [isFileParsed]="isFileParsed"
      (evtUploadFile)="deploy($event.selectedFileInformation.file, $event.selectedFileInformation.fileName)"
      (evtFileSelected)="fileSelected($event.file)"
      (evtResetFile)="cancelSelectedFile()"
    ></app-upload>
  </ngx-hover-opacity>
</mat-card>
